# Componere\Patch::__construct

(Componere 2 >= 2.1.0)

Componere\Patch::__construct — Patch Construction

### 说明

public Componere\Patch::__construct(object `$instance`)
public Componere\Patch::__construct(object `$instance`, array `$interfaces`)

### 参数

`instance`
  The target for this Patch
`interfaces`
  A case insensitive array of class names

### Exceptions

警告

Shall throw RuntimeException if a class in `interfaces` cannot be found

警告

Shall throw RuntimeException if a class in `interfaces` is not an interface

`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open